package org.jivesoftware.smack.debugger;

import java.io.Reader;
import java.io.Writer;
import org.jivesoftware.smack.StanzaListener;
import org.jxmpp.jid.FullJid;

public interface SmackDebugger {
   void userHasLogged(FullJid var1);

   Reader getReader();

   Writer getWriter();

   Reader newConnectionReader(Reader var1);

   Writer newConnectionWriter(Writer var1);

   StanzaListener getReaderListener();

   StanzaListener getWriterListener();
}
